package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.UserRoleTypeMapper;
import com.sa.ibiz.demo.demo.domain.UserRoleType;
import com.sa.ibiz.demo.demo.service.UserRoleTypeService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.UserRoleTypeSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[UserRoleType] 服务对象接口实现
 */
@Service
public class UserRoleTypeServiceImpl extends ServiceImplBase<UserRoleTypeMapper, UserRoleType> implements UserRoleTypeService{


    @Resource
    private UserRoleTypeMapper userroletypeMapper;


    @Override
    public boolean create(UserRoleType et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(UserRoleType et){
        this.beforeUpdate(et);
		this.userroletypeMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(UserRoleType et){
		return et.getUserroletypeid();  
    }

    @Override
    public boolean getDraft(UserRoleType et)  {
            return true;
    }

	public List<UserRoleType> listDefault(UserRoleTypeSearchFilter filter) {
		return userroletypeMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<UserRoleType> searchDefault(UserRoleTypeSearchFilter filter) {
		return userroletypeMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return userroletypeMapper.selectRow(sql);
    }

 }